Switch a Managed Notebook Runtime.

### HTTP request

`POST https://notebooks.googleapis.com/v1/{name}:switch`

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Format: `projects/{projectId}/locations/{location}/runtimes/{runtimeId}` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `notebooks.runtimes.switch` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "machineType": string, "acceleratorConfig": { object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/notebooks/workbench/reference/rest/v1/projects.locations.runtimes#RuntimeAcceleratorConfig`) }, "requestId": string } ``` |

| Fields ||
|---|---|
| `machineType` | `string` machine type. |
| `acceleratorConfig` | ``object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/notebooks/workbench/reference/rest/v1/projects.locations.runtimes#RuntimeAcceleratorConfig`)`` accelerator config. |
| `requestId` | `string` Idempotent request UUID. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/notebooks/workbench/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/notebooks`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).